> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trychroma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pre-flight checks

> Returns basic readiness information.



## OpenAPI

````yaml https://api.trychroma.com/openapi.json get /api/v2/pre-flight-checks
openapi: 3.1.0
info:
  title: chroma-frontend
  description: ''
  license:
    name: ''
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/pre-flight-checks:
    get:
      tags:
        - System
      summary: Pre-flight checks
      description: Returns basic readiness information.
      operationId: pre_flight_checks
      responses:
        '200':
          description: Pre flight checks
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChecklistResponse'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ChecklistResponse:
      type: object
      required:
        - max_batch_size
        - supports_base64_encoding
      properties:
        max_batch_size:
          type: integer
          format: int32
          minimum: 0
        supports_base64_encoding:
          type: boolean
    ErrorResponse:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: string
        message:
          type: string

````